#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs working audio device
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	MikMod
Summary:	Audio::MikMod Perl module - extension for libmikmod
Summary(pl.UTF-8):	Moduł Perla Audio::MikMod - rozszezenie do libmikmod
Name:		perl-Audio-MikMod
Version:	0.5
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31c8f3dfe79feebcef803a7683596ae4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	libmikmod-devel >= 3.1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to the libmikmod library for playing
MOD, IT, XM, S3M, MTM, 669, STM, ULT, FAR, MED, AMF, DSM, IMF, GDM,
and STX tracker files. In addition, manipulation of WAV samples is
supported.

%description -l pl.UTF-8
Ten moduł udostępnia interfejs do biblioteki libmikmod w celu
odtwarzania plików MOD, IT, XM, S3M, MTM, 669, STM, ULT, FAR, MED,
AMF, DSM, IMF, GDM i STX. Dodatkowo umożliwia obsługę sampli WAV.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install demo/{*pm,player*} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/MikMod.pm
%dir %{perl_vendorarch}/auto/Audio/MikMod
%{perl_vendorarch}/auto/Audio/MikMod/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/MikMod/*.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*pm
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/player*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-MikMod.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 84faa87
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f9a3ba
- release 9

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef7a0f3
- rel 8

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5cee49a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 25e621f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e715f1
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 063a883
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> cb8e77f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> b7162a1
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1bb9e99
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 823e222
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> b753474
- cosmetics

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> 35d4ec0
- license fixes and unification

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 638b98c
- new style bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 55e40e1
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 023e4cd
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 42082e2
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> 78fe511
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 7e7e020
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> b2f9800
- massive attack: change CPAN URLs

